(function($){
	"use strict";
	jQuery(document).on('ready', function () {

		// Header Sticky
		$(window).on('scroll',function() {
			if ($(this).scrollTop() > 120){
				$('.navbar-area, .os-navbar-area, .restaurant-navbar-area, .nm-navbar-area').addClass("is-sticky");
			}
			else{
				$('.navbar-area, .os-navbar-area, .restaurant-navbar-area, .nm-navbar-area').removeClass("is-sticky");
			}
		});

		// Mean Menu
		$('.mean-menu').meanmenu({
			meanScreenWidth: "1199"
		});

		// Others Option For Responsive JS
		$(".others-option-for-responsive .dot-menu").on("click", function(){
			$(".others-option-for-responsive .container .container").toggleClass("active");
		});

		// Others Option For Responsive JS
		$(".os-others-option-for-responsive .dot-menu").on("click", function(){
			$(".os-others-option-for-responsive .container .container").toggleClass("active");
		});

		// Others Option For Responsive JS
		$(".nm-others-option-for-responsive .dot-menu").on("click", function(){
			$(".nm-others-option-for-responsive .container .container").toggleClass("active");
		});

		// Others Option For Responsive JS
		$(".restaurant-others-option-for-responsive .dot-menu").on("click", function(){
			$(".restaurant-others-option-for-responsive .container .container").toggleClass("active");
		});

		// Popup Video
		$('.popup-youtube').magnificPopup({
			disableOn: 320,
			type: 'iframe',
			mainClass: 'mfp-fade',
			removalDelay: 160,
			preloader: false,
			fixedContentPos: false
		});

		// Popup Image
		$('.popup-btn-restaurant').magnificPopup({
			type: 'image',
			gallery:{
				enabled:true
			}
		});

		// Search Menu JS
		$(".others-option .search-box i").on("click", function(){
			$(".search-overlay").toggleClass("search-overlay-active");
		});
		$(".search-overlay-close").on("click", function(){
			$(".search-overlay").removeClass("search-overlay-active");
		});

		// Tooltip JS
		$(function () {
			$('[data-toggle="tooltip"]').tooltip();
		});

		// Popup Image
		$('.popup-btn-fs').magnificPopup({
			type: 'image',
			gallery:{
				enabled:true
			}
		});

		// Price Range Slider JS
		$(".js-range-of-price").ionRangeSlider({
			type: "double",
			drag_interval: true,
			min_interval: null,
			max_interval: null,
		});

		// Odometer JS
		$('.odometer').appear(function(e) {
			var odo = $(".odometer");
			odo.each(function() {
				var countNumber = $(this).attr("data-count");
				$(this).html(countNumber);
			});
		});

		// Nice Select JS
		$('select').niceSelect();
	});

	// WOW Animation JS
	if($('.wow').length){
		var wow = new WOW({
			mobile: false
		});
		wow.init();
	}

	// Go to Top
	$(function(){
		// Scroll Event
		$(window).on('scroll', function(){
			var scrolled = $(window).scrollTop();
			if (scrolled > 600) $('.go-top').addClass('active');
			if (scrolled < 600) $('.go-top').removeClass('active');
		});
		// Click Event
		$('.go-top').on('click', function() {
			$("html, body").animate({ scrollTop: "0" },  500);
		});

		$( '.toggle-nav' ).click( function() {
			$( this ).toggleClass( 'menu-open' );
			$( '#site-navigation' ).toggleClass( 'menu-open' );
			$( '.others-option-for-responsive' ).toggleClass( 'menu-open' );
		});
		$( '.sub-trigger' ).click( function() {
			$( this ).toggleClass( 'is-open' );
			$( this ).siblings( '.dropdown-menu' ).toggle( 300 );
		});

		$( '#site-navigation .menu-close' ).on( 'click', function(e) {
			$( '.toggle-nav' ).toggleClass( 'menu-open' );
			$( '#site-navigation' ).toggleClass( 'menu-open' );
			$( '.toggle-nav' ).focus();
		});
	});

	$('.col-lg-3:nth-child(2) .single-footer-widget').addClass('pl-5');

	// Input Plus & Minus Number JS
	$('.input-counter').each(function() {
		var spinner = jQuery(this),
		input = spinner.find('input[type="text"]'),
		btnUp = spinner.find('.plus-btn'),
		btnDown = spinner.find('.minus-btn'),
		min = input.attr('min'),
		max = input.attr('max');
		
		btnUp.on('click', function() {
			var oldValue = parseFloat(input.val());
			if (oldValue >= max) {
				var newVal = oldValue;
			} else {
				var newVal = oldValue + 1;
			}
			spinner.find("input").val(newVal);
			spinner.find("input").trigger("change");
		});
		btnDown.on('click', function() {
			var oldValue = parseFloat(input.val());
			if (oldValue <= min) {
				var newVal = oldValue;
			} else {
				var newVal = oldValue - 1;
			}
			spinner.find("input").val(newVal);
			spinner.find("input").trigger("change");
		});
	});

	$( window ).on( 'elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/widget', function( $scope ) {

			// Home Slides
			$('.home-slides').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				mouseDrag: true,
				autoplay: true,
				autoplayHoverPause: true,
				animateOut: 'fadeOut',
				animateIn: 'fadeIn',
				items: 1,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// Testimonials Slides
			$('.testimonials-slides').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				autoplayHoverPause: true,
				autoplay: true,
				items: 1,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// Products Slides
			$('.products-slides').owlCarousel({
				loop: true,
				nav: false,
				dots: true,
				autoplayHoverPause: true,
				autoplay: true,
				margin: 30,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				],
				responsive: {
					0: {
						items: 1,
					},
					576: {
						items: 2,
					},
					768: {
						items: 2,
					},
					992: {
						items: 3,
					},
					1200: {
						items: 4,
					}
				}
			});

			// OS Partner Slider JS
			$('.os-partner-slider').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: false,
				autoplay: true,
				autoplayHoverPause: true,
				margin: 30,
				responsive:{
					0: {
						items: 1,
					},
					576: {
						items: 3,
					},
					768: {
						items: 4,
					},
					992: {
						items: 5,
					},
					1200: {
						items: 6,
					}
				}
			});

			// OS Clients Slide
			$('.os-clients-slider').owlCarousel({
				loop: true,
				nav: true,
				dots: false,
				autoplayHoverPause: true,
				autoplay: true,
				items: 1,
				navText: [
					"<i class='bx bx-left-arrow-alt'></i>",
					"<i class='bx bx-right-arrow-alt'></i>"
				]
			});

			// OS Categories Slider JS
			$('.os-categories-slider').owlCarousel({
				items: 1,
				loop: true,
				nav: true,
				dots: false,
				autoplay: true,
				autoplayHoverPause: true,
				margin: 30,
				navText: [
					"<i class='flaticon-left-arrow'></i>",
					"<i class='flaticon-right-arrow-1'></i>"
				],
				responsive:{
					0: {
						items: 2,
					},
					576: {
						items: 3,
					},
					768: {
						items: 4,
					},
					992: {
						items: 4,
					},
					1200: {
						items: 5,
					}
				}
			});

			// OS Top Product Slider JS
			$('.os-top-product-slider').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: true,
				autoplay: true,
				autoplayHoverPause: true,
				margin: 30,
				navText: [
					"<i class='flaticon-left-arrow'></i>",
					"<i class='flaticon-right-arrow-1'></i>"
				],
				responsive:{
					0: {
						items: 1,
					},
					576: {
						items: 2,
					},
					768: {
						items: 2,
					},
					992: {
						items: 3,
					},
					1200: {
						items: 4,
					}
				}
			});

			// NM Baking News Slider JS
			$('.nm-baking-news-slider').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: false,
				autoplay: true,
				autoplayHoverPause: true,
				margin: 30,
				autoplaySpeed: 1000,
				animateOut: "slideOutDown",
				animateIn: "slideInDown",
			});

			// Restaurant Hero Slider
			$('.restaurant-hero-slider').owlCarousel({
				loop: true,
				margin: 0,
				nav: false,
				mouseDrag: true,
				thumbs: true,
				thumbsPrerendered: true,
				items: 1,
				dots: false,
				autoHeight: true,
				autoplay: true,
				smartSpeed: 1500,
				autoplayHoverPause: true,
			});

			// Restaurant Sweet Talk Slider JS
			$('.restaurant-sweet-talk-slider').owlCarousel({
				items: 1,
				loop: true,
				nav: false,
				dots: true,
				autoplay: true,
				autoplayHoverPause: true,
				margin: 30,
				responsive:{
					0: {
						items: 1,
					},
					576: {
						items: 1,
					},
					768: {
						items: 2,
					},
					992: {
						items: 3,
					},
					1200: {
						items: 3,
					}
				}
			});

		});
    });

}(jQuery));