<?php
/*
 * Top Header
 *
*/

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'navigation_style',
    'label'       => esc_html__( 'Default Navigation Style', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => '1',
    'choices'     => array(
        'style-1'    => esc_attr__( 'Style One', 'guto-lite' ),
        'style-2'    => esc_attr__( 'Style Two', 'guto-lite' ),
        'style-3'    => esc_attr__( 'Style Three', 'guto-lite' ),
        'style-4'    => esc_attr__( 'Style Four', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'is_sticky_header',
    'label'       => esc_html__( 'Make Sticky Header', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_bg_color',
    'label'       => esc_html__( 'Navigation Background Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.navbar-area .guto-lite-nav, .os-navbar-area .os-guto-nav, .restaurant-navbar-area, .nm-navbar-area',
            'property'	=> 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'sticky_nav_bg_color',
    'label'       => esc_html__( 'Sticky Nav Background Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'required'      => array(
        array(
            'setting'   => 'is_sticky_header',
            'operator'  => '==',
            'value'     => true,
        ),
    ),
    'output'      => array(
        array(
            'element' 	=> '.is-sticky.navbar-area .guto-lite-nav, .is-sticky.os-navbar-area .os-guto-nav, .is-sticky.restaurant-navbar-area .restaurant-guto-nav, .nm-navbar-area.is-sticky',
            'property'	=> 'background-color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_menu_color',
    'label'       => esc_html__( 'Menu Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.navbar-area .guto-lite-nav .navbar .nav-item a, .navbar-area .guto-lite-nav .navbar .nav-item .dropdown-menu li a, .navbar-area .guto-lite-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a, .os-navbar-area .os-guto-nav .navbar .nav-item a, .os-navbar-area .os-guto-nav .navbar .nav-item .dropdown-menu li a, .os-navbar-area .os-guto-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a, .restaurant-navbar-area .restaurant-guto-nav .navbar .nav-item a, .restaurant-navbar-area .restaurant-guto-nav .navbar .nav-item .dropdown-menu li a, .restaurant-navbar-area .restaurant-guto-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a, .nm-guto-nav .navbar .navbar-nav .nav-item a, .nm-guto-nav .navbar .nav-item .dropdown-menu li a, .nm-guto-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a, .nm-guto-nav .navbar .navbar-nav .nav-item:hover a, .nm-guto-nav .navbar .navbar-nav .nav-item.active a',
            'property'	=> 'color',
        ),
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'active_nav_menu_color',
    'label'       => esc_html__( 'Active Menu Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.restaurant-guto-nav .navbar .navbar-nav .nav-item.active a, .restaurant-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a, .os-guto-nav .nav-item.active a, .os-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li .dropdown-menu li.active a, .os-guto-nav .navbar .navbar-nav .nav-item:hover a, .os-guto-nav .navbar .navbar-nav .nav-item.active a, .os-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a',
            'property'	=> 'color',
        ),
    ),
);
$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'nav_menu_hover_color',
    'label'       => esc_html__( 'Menu Hover Color', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.restaurant-guto-nav .navbar .navbar-nav .nav-item a:hover, .restaurant-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .navbar-area .guto-lite-nav .navbar .nav-item a:hover, .navbar-area .guto-lite-nav .navbar .nav-item .dropdown-menu li a:hover, .navbar-area .guto-lite-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a:hover, .os-navbar-area .os-guto-nav .navbar .nav-item a:hover, .os-navbar-area .os-guto-nav .navbar .nav-item .dropdown-menu li a:hover, .os-navbar-area .os-guto-nav .navbar .nav-item .dropdown-menu li .dropdown-menu li a:hover',
            'property'	=> 'color',
        ),
    ),
);


$guto_lite_fields[] = array(
    'type'        => 'color',
    'settings'    => 'active_nav_menu_bgcolor',
    'label'       => esc_html__( 'Active Menu Background Color(Style 4)', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'auto',
    'output'      => array(
        array(
            'element' 	=> '.nm-guto-nav .navbar .navbar-nav .nav-item a:hover, .nm-guto-nav .navbar .navbar-nav .nav-item a:focus, .nm-guto-nav .navbar .navbar-nav .nav-item.active a,  .nm-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:hover, .nm-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li a:focus, .nm-guto-nav .navbar .navbar-nav .nav-item .dropdown-menu li.active a',
            'property'	=> 'background-color',
        ),
    ),
);


/*
 *
 * Main Nav
 *
 */
$guto_lite_fields[] = array(
    'type'        => 'custom',
    'settings'    => 'nav_header_title',
    'label'       => '',
    'section'     => 'nav_section',
    'default'     => '<div class="xs-title-divider">'.esc_html__("Navigation Section","guto-lite").'</div>',
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'nav_search',
    'label'       => esc_html__( 'Show Search', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'nav_search_title',
    'label'       => esc_html__( 'Search Placeholder Text', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport' => 'refresh',
    'default'     =>'',
    'required'      => array(
        array(
            'setting'   => 'nav_search',
            'operator'  => '!=',
            'value'     => false,
        )
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'switch',
    'settings'    => 'nav_cart',
    'label'       => esc_html__( 'Show Cart', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => false,
    'choices'     => array(
        'on'  => esc_attr__( 'Enable', 'guto-lite' ),
        'off' => esc_attr__( 'Disable', 'guto-lite' ),
    ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'nav_button_title',
    'label'       => esc_html__( 'Button Text', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'refresh',
    'default'     => esc_html__( 'Hire Us', 'guto-lite' ),
);

$guto_lite_fields[]= array(
    'type'        => 'text',
    'settings'    => 'nav_button_link',
    'label'       => esc_html__( 'Button Link', 'guto-lite' ),
    'section'     => 'nav_section',
    'transport'   => 'refresh',
    'default'     => '#',
    'required'      => array(
        array(
            'setting'   => 'nav_button_title',
            'operator'  => '!=',
            'value'     => '',
        )
    ),
);

$guto_lite_fields[] = array(
    'type'        => 'select',
    'settings'    => 'nav_button_link_target',
    'label'       => esc_html__( 'Button Link Target', 'guto-lite' ),
    'section'     => 'nav_section',
    'default'     => '_self',
    'choices'     => array(
        '_blank'    => esc_html__('Load in a new window. ( _blank )',  'guto-lite' ),
        '_self'     => esc_html__('Load in the same frame as it was clicked. ( _self )',  'guto-lite' ),
    ),
    'required'      => array(
        array(
            'setting'   => 'nav_button_title',
            'operator'  => '!=',
            'value'     => '',
        )
    ),
);