<?php
/**
 * Template for 404
 *
 * @package     Guto Lite
 * @author      Guto Lite
 * @copyright   Copyright (c) 2020, Guto Lite
 * @link        https://wpGuto.com/
 * @since       Guto Lite 1.0.7
 */

$guto_lite_title	 		   = guto_lite_option( 'error_title' );
$guto_lite_subtitle	 		   = guto_lite_option( 'error_subtitle' );
$guto_lite_back_to_home_label  = guto_lite_option('back_to_home_label' );
$guto_lite_image	 		   = guto_lite_option('404_image' );
$banner_section                = guto_lite_option( 'banner_style' );
$show_page_banner              = fw_get_db_post_option( get_the_ID(), 'show_page_banner' );

if (isset( $header_image[ 'url' ]) && $header_image[ 'url' ] != '') {
    $bg_image = 'style="background-image: url(' . $header_image[ 'url' ] . ')"';
} else {
    $bg_image = 'style=""';
}

if( $banner_section == 'style-4' ): ?>
<!-- Start OS Page Title Area -->
<div class="os-page-title-area bg-1 <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
    <div class="container">
        <div class="os-page-title-content">
            <h2><?php echo esc_html('404! Error Page', 'guto-light'); ?></h2>
            <ul>
                <li>
                    <a href="<?php echo esc_url( home_url('/') ); ?>">
                        <?php echo esc_html('Home', 'guto-light'); ?>
                    </a>
                </li>
                <li class="active"><?php echo esc_html('404!', 'guto-light'); ?></li>
            </ul>
        </div>
    </div>
</div>
<!-- End OS Page Title Area -->
<?php endif;

if( $banner_section == 'style-5' ): ?>
    <!-- Start Restaurant Page Title Area -->
    <div class="restaurant-page-title-area bg-7FAQ <?php echo esc_attr($banner_section); ?>" <?php echo wp_kses_post( $bg_image ); ?>>
        <div class="container">
            <div class="restaurant-page-title-content">
                <h2><?php echo esc_html('404! Error Page', 'guto-light'); ?></h2>
                <ul>
                    <li>
                        <a href="<?php echo esc_url( home_url('/') ); ?>">
                            <?php echo esc_html('Home', 'guto-light'); ?>
                        </a>
                    </li>
                    <li class="active"><?php echo esc_html('404!', 'guto-light'); ?></li>
                </ul>
            </div>
        </div>
    </div>
    <!-- End Restaurant Page Title Area -->
<?php endif; ?>

<?php if( $banner_section == 'style-6' ): ?>
    <div class="nm-page-title-area  <?php echo esc_attr($banner_section); ?>">
		<div class="container">
			<div class="nm-page-title-content">
                <h2><?php echo esc_html('404! Error Page', 'guto-light'); ?></h2>
                <ul>
                    <li>
                        <a href="<?php echo esc_url( home_url('/') ); ?>">
                            <?php echo esc_html('Home', 'guto-light'); ?>
                        </a>
                    </li>
                    <li class="active"><?php echo esc_html('404!', 'guto-light'); ?></li>
                </ul>
			</div>
		</div>
	</div>
<?php endif; ?>


<div class="error-area ptb-100">
    <div class="container">
        <div class="error-content">

            <?php if($guto_lite_image): ?>
                <img src="<?php echo esc_url($guto_lite_image); ?>" alt="<?php echo esc_attr($guto_lite_title); ?>">
            <?php else: ?>
                <img src="<?php echo esc_url(GUTO_LITE_IMAGES.'/error.png');  ?>" alt="<?php echo esc_attr($guto_lite_title); ?>">
            <?php endif; ?>

            <h3><?php echo esc_html( $guto_lite_title ); ?></h3>
            <p><?php echo esc_html( $guto_lite_subtitle ); ?></p>
            <?php if( $guto_lite_back_to_home_label != '' ): ?>
                <a href="<?php echo esc_url(home_url('/'));?>" class="default-btn"><i class='bx bx-home-circle'></i> <?php echo esc_html($guto_lite_back_to_home_label);?></a>
            <?php endif; ?>
        </div>
    </div>
</div>