<?php
/**
 * Theme top bar
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/**
 * Options
 */
$is_top_header          = guto_lite_option('is_top_header');
$top_header_style       = guto_lite_option('top_header_style');
$guto_language_switcher = guto_lite_option('guto_language_switcher');
$guto_language_icon     = guto_lite_option('guto_language_icon');
$items 	                = guto_lite_option('top_header_info_items');
$links 	                = guto_lite_option('top_header_links_items');
$user_links 	        = guto_lite_option('top_header_links_dhs_items');
?>

<?php if( $is_top_header && $top_header_style == '' || $is_top_header && $top_header_style == 'style-1' ): ?>
    <div class="top-header-area">
        <div class="container-fluid">
            <div class="row align-items-center">
                <div class="col-lg-6 col-md-6">
                    <?php if ($items) { ?>
                        <?php if (is_array($items) && !empty($items)): ?>
                            <ul class="top-header-contact-info">
                                <?php foreach ($items as $index => $item): ?>
                                    <li><a href="<?php echo esc_url($item['info_link']) ?>"><i class="<?php echo esc_attr($item['info_icon']) ?>"></i> <?php echo esc_html($item['info_text']) ?></a></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    <?php } ?>
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="top-header-right">
                        <?php if ( !is_user_logged_in() ) { ?>
                            <?php if ($links) { ?>
                                <?php if (is_array($links) && !empty($links)): ?>
                                    <ul class="d-flex align-items-center justify-content-end">
                                        <li></li>
                                        <?php foreach ($links as $index => $item): ?>
                                            <li><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></li>
                                        <?php endforeach; ?>
                                    </ul>
                                <?php endif; ?>
                            <?php } ?>
                        <?php }else{ ?>
                            <?php if ($user_links) { ?>
                                <?php if (is_array($user_links) && !empty($user_links)): ?>
                                    <ul class="d-flex align-items-center justify-content-end">
                                        <li></li>
                                        <?php foreach ($user_links as $index => $item): ?>
                                            <li><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></li>
                                        <?php endforeach; ?>
                                    </ul>
                                <?php endif; ?>
                            <?php } ?>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php elseif( $is_top_header && $top_header_style == 'style-2' ) : ?>
    <div class="os-top-header os-black-bg-color">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 col-md-6">
                    <?php if ($items) { ?>
                        <?php if (is_array($items) && !empty($items)): ?>
                            <ul class="os-header-left-content">
                                <?php foreach ($items as $index => $item): ?>
                                    <li class="os-hotline"><span><?php echo esc_html($item['info_subtitle']) ?></span><a href="<?php echo esc_url($item['info_link']) ?>"><i class="<?php echo esc_attr($item['info_icon']) ?>"></i> <?php echo esc_html($item['info_text']) ?></a></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    <?php } ?>
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="os-header-right-content">
                        <?php if( ! $guto_language_switcher == '' ) : ?>
                            <div class="os-languages-switcher">
                                <i class="<?php echo esc_html($guto_language_icon); ?>"></i>
                                <?php echo do_shortcode($guto_language_switcher); ?>
                            </div>
                        <?php endif; ?>
                        <?php if ( !is_user_logged_in() ) { ?>
                            <?php if ($links) { ?>
                                <?php if (is_array($links) && !empty($links)): ?>
                                    <?php foreach ($links as $index => $item): ?>
                                        <div class="os-my-account"><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></div>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            <?php } ?>
                        <?php }else{ ?>
                            <?php if ($user_links) { ?>
                                <?php if (is_array($user_links) && !empty($user_links)): ?>
                                    <?php foreach ($user_links as $index => $item): ?>
                                        <div class="os-my-account"><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></div>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            <?php } ?>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php elseif( $is_top_header && $top_header_style == 'style-3' ) : ?>
    <!-- Start Restaurant Top Header -->
    <div class="restaurant-top-header restaurant-black-bg-color">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 col-md-6">
                    <div class="restaurant-header-left-content">
                        <?php if( function_exists('guto_lite_option') ) :
                            $social_links   = guto_lite_option('top_social_links');
                        else:
                            $social_links   = '';
                        endif;
                        if( is_array( $social_links ) && ! empty( $social_links ) ) : ?>
                            <ul class="social-links">
                                <?php foreach ( $social_links as $index => $item ) : ?>
                                    <li>
                                        <a href="<?php echo esc_url($item['social_url']) ?>" target="_blank">
                                            <i class="<?php echo esc_attr($item['social_icon']) ?>"></i>
                                        </a>
                                    </li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    </div>
                </div>
                <div class="col-lg-6 col-md-6">
                    <div class="restaurant-header-right-content">
                        <div class="header-right-content-link">
                            <?php if ($items) { ?>
                                <?php if (is_array($items) && !empty($items)): ?>
                                    <ul>
                                        <?php foreach ($items as $index => $item): ?>
                                            <li><i class="<?php echo esc_attr($item['info_icon']) ?>"></i><a href="<?php echo esc_url($item['info_link']) ?>"> <?php echo esc_html($item['info_text']) ?></a></li>
                                        <?php endforeach; ?>
                                    </ul>
                                <?php endif; ?>
                            <?php } ?>
                        </div>
                        <?php if( ! $guto_language_switcher == '' ) : ?>
                            <div class="restaurant-languages-switcher">
                                <i class="<?php echo esc_html($guto_language_icon); ?>"></i>
                                <?php echo do_shortcode($guto_language_switcher); ?>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Start Restaurant Top Header -->
<?php elseif( $is_top_header && $top_header_style == 'style-4' ) : ?>
    <!-- Start NM Top Header -->
    <div class="nm-top-header">
        <div class="container">
            <div class="row align-items-center">
                <div class="col-lg-6 col-sm-6">
                    <?php if ($items) { ?>
                        <?php if (is_array($items) && !empty($items)): ?>
                            <ul class="nm-header-left-content">
                                <?php foreach ($items as $index => $item): ?>
                                    <li><span><?php echo esc_html($item['info_text']) ?></span></li>
                                <?php endforeach; ?>
                            </ul>
                        <?php endif; ?>
                    <?php } ?>
                </div>

                <div class="col-lg-6 col-sm-6">
                    <div class="nm-header-right-content">
                        <?php if( ! $guto_language_switcher == '' ) : ?>
                            <div class="nm-languages-switcher">
                                <i class="<?php echo esc_html($guto_language_icon); ?>"></i>
                                <?php echo do_shortcode($guto_language_switcher); ?>
                            </div>
                        <?php endif; ?>

                        <?php if ( !is_user_logged_in() ) { ?>
                            <?php if( $links ) { ?>
                                <?php if (is_array($links) && !empty($links)): ?>
                                    <?php foreach ($links as $index => $item): ?>
                                        <div class="nm-my-account"><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></div>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            <?php } ?>
                        <?php }else{ ?>
                            <?php if ($user_links) { ?>
                                <?php if (is_array($user_links) && !empty($user_links)): ?>
                                    <?php foreach ($user_links as $index => $item): ?>
                                        <div class="nm-my-account"><a href="<?php echo esc_url($item['link']) ?>"><i class="<?php echo esc_attr($item['icon']) ?>"></i> <?php echo esc_html($item['text']) ?></a></div>
                                    <?php endforeach; ?>
                                <?php endif; ?>
                            <?php } ?>
                        <?php } ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
	<!-- Start NM Top Header -->
<?php endif; ?>
